Bug 202836 - Review Request: abuse - The classic Crack-Dot-Com game
Review Request: abuse - The classic Crack-Dot-Com game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-16 13:48 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 01:54:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-08-16 13:48:49 EDT
Spec URL: http://people.atrpms.net/~hdegoede/abuse.spec
SRPM URL: http://people.atrpms.net/~hdegoede/abuse-0.7.0-1.src.rpm
Description:
This is the SDL version of Abuse, the classic Crack-Dot-Com game. It can run in
a window or fullscreen and it has stereo sound with sound panning.

---

notice that the name could be discussed, I didn't name it abuse-sdl or abuse_sdl because this is THE abuse for Linux, I checked other distro's and only debian has got the original version and that contains a note in its "%description" that it is discontinued and that users are adviced to use the SDL version instead.

This requires a form of abuse-data I'm also submitting fRaBs I'll post a link to the fRaBs review here as soon as I've got one.
Comment 1 Hans de Goede 2006-08-16 13:51:20 EDT
The fRaBs review is bug 202837
Comment 2 Rex Dieter 2006-08-16 19:14:42 EDT
I see upstream's website has title/header "Abuse-SDL", and upstream tarball is
named abuse_sdl.  My inclinication would be to stick with abuse_sdl for package
name, but that's just me.
Comment 3 Hans de Goede 2006-08-17 02:55:47 EDT
(In reply to comment #2)
> I see upstream's website has title/header "Abuse-SDL", and upstream tarball is
> named abuse_sdl.  My inclinication would be to stick with abuse_sdl for package
> name, but that's just me.

I can live with that too, but as said this really is THE abuse now these days
hence my dropping of the -/_ sdl I don't want people to start looking for the
main abuse package, cause there won't be one. But as said either way is
eventually fine by me.
Comment 4 Rex Dieter 2006-08-17 15:43:39 EDT
Looks very good (and fun), APPROVED.

One small thing, you should add
%doc COPYING 
Comment 5 Hans de Goede 2006-08-18 01:54:40 EDT
(In reply to comment #4)
> Looks very good (and fun), APPROVED.
>

Thanks, imported and build, closing.
 
> One small thing, you should add
> %doc COPYING 

Woops, I forgot todo this, I've made the change in CVS now, a new version will
be forthcoming shortly since there are some annoyances I wan't to fix (which
require diving into the source first) such as -f to start fullscreen not working.

Note You need to log in before you can comment on or make changes to this bug.